name: MSP18003
description: LCD TFT module, 1.8 inch, 128x160, ST7735S driver

pinout:
  GND: 7
  VCC: 8
  TFT:
    LED: 1
    SCK: 2
    SDA: 3
    AO: 4
    RESET: 5
    CS: 6
  SD:
    SD_CS: 9
    SD_MOSI: 10
    SD_MISO: 11
    SD_SCK: 12

properties:
  power: VCC, LED # anode
  ground: GND
  bidir: SDA
  in: SCK, AO, RESET, CS, SD_CS, SD_MOSI, SD_SCK
  inverted: RESET, CS, SD_CS
  out: SD_MISO

schematic:
  symbol: ic
  left: TFT
  right: SD
  top: VCC
  bottom: GND

housing:
  pattern: custom
  bodyWidth: 58.0
  bodyLength: 34.5
  height: 5.08 # unknown

  # TFT
  holeDiameter: 1.0
  padDiameter: 1.8
  pitch: 2.54
  rowCount: 8
  columnCount: 1
  rowDX: -26.5 # 58.0 / 2 - 2.5
  rowDY: 0

  # SD
  holeDiameter1: 1.0
  padDiameter1: 1.8
  pitch1: -2.54
  rowCount1: 4
  columnCount1: 1
  rowDX1: 26.5 # 58.0 / 2 - 2.5
  rowDY1: 0

  # mounting hole
  holeDiameter2: 2.8
  padPosition2: -26.0, -14.25, 26.0, -14.25, 26.0, 14.25, -26.0, 14.25
  padDiameter2: 0
